import java.awt.datatransfer.DataFlavor;
import java.awt.datatransfer.Transferable;

public class Class252 implements Interface47 {

   Class253 aClass253_2984;
   static String[] aStringArray2985;


   public Class451 method268(byte var1) {
      return Class451.aClass451_5647;
   }

   public int method269() {
      return this.aClass253_2984.method4509((byte)15)?100:this.aClass253_2984.method4511(-728272345);
   }

   Class252(Class253 var1) {
      this.aClass253_2984 = var1;
   }

   public int method99(int var1) {
      return this.aClass253_2984.method4509((byte)75)?100:this.aClass253_2984.method4511(-558608513);
   }

   public int method31() {
      return this.aClass253_2984.method4509((byte)91)?100:this.aClass253_2984.method4511(-1369544629);
   }

   public Class451 method270() {
      return Class451.aClass451_5647;
   }

   static void method4493(int var0) {
      client.aClass180_7703.method3194(-356568352);
      if(2138326903 * Class11.anInt150 < 2) {
         Class419.aClass422_5324.method7191((byte)31);
         Class11.anInt151 = 0;
         Class11.anInt150 += 304661063;
         Class335.aClass1_4205 = Class1.aClass1_10;
      } else {
         Class335.aClass1_4205 = null;
         Class11.aClass475_153 = Class475.aClass475_5810;
         Class332.method6157(9, -1916776114);
      }

   }

   public static boolean method4494(int var0, int var1) {
      return var0 == 1 || var0 == 3 || var0 == 5;
   }

   static final void method4495(Class508 var0, byte var1) {
      String var2 = "";
      if(Class375.aClipboard4689 != null) {
         Transferable var3 = Class375.aClipboard4689.getContents((Object)null);
         if(null != var3) {
            try {
               var2 = (String)var3.getTransferData(DataFlavor.stringFlavor);
               if(null == var2) {
                  var2 = "";
               }
            } catch (Exception var5) {
               ;
            }
         }
      }

      var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = var2;
   }

   static final void method4496(Class508 var0, int var1) {
      Class225_Sub14_Sub11 var2 = Class215.method3671(var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807]);
      if(var2 != null && var2.aString10529 != null) {
         var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = var2.aString10529;
      } else {
         var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = "";
      }

   }
}
